/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.fabric.services.contribution;

import org.fabric3.api.annotation.logging.Severe;
import org.fabric3.api.annotation.logging.Info;

/**
 * Receives callback events from the ContributionService
 *
 * @version $Rev: 4355 $ $Date: 2008-05-26 04:05:51 +0100 (Mon, 26 May 2008) $
 */
public interface ContributionServiceMonitor {

    @Severe
    void error(String message, Throwable e);

    @Info
    void contributionWarnings(String message);

}
