/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.fabric.services.contribution;

import java.net.URI;

import org.fabric3.spi.services.contribution.ContributionUriEncoder;

/**
 * An no-op encoder used when provisioning contributions to the same VM. Locally provisioned contribution URIs do not need to be encoded as they can
 * be directly resolved against the local contribution store.
 *
 * @version $Rev: 4253 $ $Date: 2008-05-17 18:39:12 +0100 (Sat, 17 May 2008) $
 */
public class LocalContributionUriEncoder implements ContributionUriEncoder {

    public URI encode(URI uri) {
        return uri;
    }
}
