/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.fabric.services.routing;

import org.fabric3.spi.generator.CommandMap;

/**
 * Implementations route physical commands to a runtime node.
 *
 * @version $Rev: 3644 $ $Date: 2008-04-15 15:07:31 +0100 (Tue, 15 Apr 2008) $
 */
public interface RoutingService {

    /**
     * Routes a command set to a runtime node
     *
     * @param commandMap the command map to route
     * @throws RoutingException if an exception occurs during routing
     */
    void route(CommandMap commandMap) throws RoutingException;

}
